Bug 22107 - Avoid deleting data in some tests
Summary: Avoid deleting data in some tests
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-11 18:10 UTC by Tomás Cohen Arazi
Modified: 2019-01-30 08:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22107: Make tests use a simpler class, with no FK (9.38 KB, patch)
2019-01-11 18:16 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22107: patrons.t doesn't need to delete existing data (843 bytes, patch)
2019-01-11 18:16 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22107: Make tests use a simpler class, with no FK (9.44 KB, patch)
2019-01-11 18:50 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22107: patrons.t doesn't need to delete existing data (900 bytes, patch)
2019-01-11 18:50 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-01-11 18:10:49 UTC
The following tests rely on deleting all patrons for running, and this is failing (and doesn't make sense):

t/db_dependent/api/v1/patrons.t
t/db_dependent/Koha/REST/Plugin/Objects.t
Comment 1 Tomás Cohen Arazi 2019-01-11 18:16:51 UTC
Created attachment 83816 [details] [review]
Bug 22107: Make tests use a simpler class, with no FK

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2019-01-11 18:16:54 UTC
Created attachment 83817 [details] [review]
Bug 22107: patrons.t doesn't need to delete existing data

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Nick Clemens 2019-01-11 18:50:24 UTC
Created attachment 83819 [details] [review]
Bug 22107: Make tests use a simpler class, with no FK

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2019-01-11 18:50:27 UTC
Created attachment 83820 [details] [review]
Bug 22107: patrons.t doesn't need to delete existing data

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Nick Clemens 2019-01-11 18:51:52 UTC
Thanks Tomas, pushed to master for 19.05
Comment 6 Martin Renvoize 2019-01-14 14:30:25 UTC
Pushed to 18.11.x for 18.11.02
Comment 7 Jesse Maseto 2019-01-23 19:24:24 UTC
Pushed to 18.05.x for 18.05.09
Comment 8 Fridolin SOMERS 2019-01-30 08:07:44 UTC
Tests impacted are not in 17.11.x